// routes/equipmentListRoutes.js
const express = require('express');
const router = express.Router();
const equipmentListController = require('../controllers/equipmentListController');

// CREATE
router.post('/', equipmentListController.createEquipment);

// READ ALL
router.get('/', equipmentListController.getAllEquipment);

// READ ONE
router.get('/:equipment_id', equipmentListController.getEquipmentById);

// UPDATE
router.put('/:equipment_id', equipmentListController.updateEquipment);

// DELETE
router.delete('/:equipment_id', equipmentListController.removeEquipment);

module.exports = router;